=== debian/changelog ===
eigensoft (4.2-1) experimental; urgency=low

  * New upstream release.

 -- Steffen Moeller <moeller@debian.org>  Thu, 15 Sep 2011 14:20:03 +0200

eigensoft (3.0-1) UNRELEASED; urgency=low

  * Initial release (Closes: #641724).

 -- Steffen Moeller <moeller@debian.org>  Wed, 14 Sep 2011 10:35:55 +0200
