=== debian/control ===
Source: eigensoft
Section: non-free/science
Priority: extra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 8.0.0),
 gfortran,
 libblas-dev,
 liblapack-dev
Standards-Version: 3.9.2
Homepage: http://www.hsph.harvard.edu/faculty/alkes-price/software/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/eigensoft/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/eigensoft/trunk/

Package: eigensoft
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, perl
Recommends: gnuplot
Description: reduction of population bias for genetic analyses
 The EIGENSOFT package combines functionality from the group's population
 genetics methods (Patterson et al. 2006) and their EIGENSTRAT stratification
 method (Price et al. 2006). The EIGENSTRAT method uses principal components
 analysis to explicitly model ancestry differences between cases and
 controls along continuous axes of variation; the resulting correction is
 specific to a candidate marker's variation in frequency across ancestral
 populations, minimizing spurious associations while maximizing power to
 detect true associations. The EIGENSOFT package has a built-in plotting
 script and supports multiple file formats and quantitative phenotypes.

Package: eigensoft-dbg
Architecture: any
Section: non-free/debug
Depends: ${misc:Depends}, eigensoft (= ${binary:Version})
Description: debug symbols for the eigensoft package
 The EIGENSOFT package helps with distinguishing inherited differences in
 populations from those that are discriminating patients from non-affected
 individuals. This debug package adds symbols that help with the location
 of the problem when an unexpected crash of the program occurs.
