## eigensoft 6.0.1%2Bds

=== debian/changelog ===
eigensoft (6.0.1+ds-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Fixed d/watch
  * Use Files-Excluded to strip upstream source
  * Cleanup d/rules
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * Priority: optional
  * debhelper 9
  * Remove -dbg package which is autogenerated now
  * DEP3 header and removed unused patches
  * Removed README.Debian which is not user oriented
  * Add missing Build-Depends libgsl-dev
  * Propagate hardening options
  * Fix permission of some Perl scripts
  * Remove dubious non-perl script consisting from comment only

  [ Petter Reinholdtsen ]
  * Added lapacke.patch to link with -llapacke and -llapack.
  * Added liblapacke-dev as build-dependency.
  * Added a simple autopkgtest script to verify that at least some of the
    binaries are able to run.

 -- Andreas Tille <tille@debian.org>  Sun, 07 Feb 2016 21:30:13 +0100
