=== debian/control ===
Source: eigensoft
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: non-free/science
XS-Autobuild: no
Priority: optional
Build-Depends: debhelper (>= 9),
               gfortran,
               libblas-dev,
               liblapack-dev,
               liblapacke-dev,
               libgsl-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/eigensoft.git
Vcs-Git: https://anonscm.debian.org/debian-med/eigensoft.git
Homepage: http://www.hsph.harvard.edu/faculty/alkes-price/software/

Package: eigensoft
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends}
Recommends: gnuplot
Description: reduction of population bias for genetic analyses
 The EIGENSOFT package combines functionality from the group's population
 genetics methods (Patterson et al. 2006) and their EIGENSTRAT stratification
 method (Price et al. 2006). The EIGENSTRAT method uses principal components
 analysis to explicitly model ancestry differences between cases and
 controls along continuous axes of variation; the resulting correction is
 specific to a candidate marker's variation in frequency across ancestral
 populations, minimizing spurious associations while maximizing power to
 detect true associations. The EIGENSOFT package has a built-in plotting
 script and supports multiple file formats and quantitative phenotypes.
