=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
	$(MAKE) DEBUG_OPTIONS=-g -C src all
	cd src && make install

override_dh_clean:
	dh_clean
	$(MAKE) -C src clobber

override_dh_install:
	dh_install
	find debian/eigensoft/usr/share/ -type f -empty -delete
	# file consists only from single line with wrong interpreter
	find debian/eigensoft/usr/share/ -type f -name HGDP.X.perl -delete

override_dh_fixperms:
	dh_fixperms
	find debian/*/usr/share/eigensoft -type f -name "*.perl" -exec chmod +x \{\} \;

get-orig-source:
	uscan --verbose --force-download --repack --compression xz
