=== debian/watch ===
version=3
opts="repacksuffix=+ds,dversionmangle=s/\+ds//g" \
  https://data.broadinstitute.org/alkesgroup/EIGENSOFT/EIG([0-9.]+)\.tar\.gz
