=== debian/changelog ===
eigensoft (6.1.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Upstream has changed extensions from .pl to .perl

 -- Andreas Tille <tille@debian.org>  Fri, 05 Aug 2016 23:40:38 +0200

eigensoft (6.1.2+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Adapt watch file to match new version string
  * relicense Debian packaging as BSD-3-clause
  * cme fix dpkg-control
  * hardening=+bindnow
  * Leave only wrapper scripts in /usr/bin, executables go to /usr/lib/eigensoft
  * add at least one manpage
  * add examples

  [ Tatiana Malygina ]
  * Fix headers

 -- Andreas Tille <tille@debian.org>  Tue, 19 Jul 2016 11:23:59 +0200
