## eigensoft 6.1.4%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>
-Section: non-free/science
-XS-Autobuild: no
+Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
                gfortran,
@@ -11,9 +10,9 @@
                liblapack-dev,
                liblapacke-dev,
                libgsl-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/eigensoft.git
-Vcs-Git: https://anonscm.debian.org/debian-med/eigensoft.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/eigensoft.git
 Homepage: http://www.hsph.harvard.edu/faculty/alkes-price/software/
 
 Package: eigensoft
