=== debian/changelog ===
eigensoft (6.1.4+dfsg-1build1) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:09:51 +0000

eigensoft (6.1.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * fix perl interpreter path

 -- Andreas Tille <tille@debian.org>  Sun, 16 Oct 2016 15:16:45 +0200
