=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,15 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+
+DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
+
+WRAPPERS=evec2pca-ped \
+         evec2pca \
+         smarteigenstrat \
+         smartpca
 
 %:
 	dh $@ 
@@ -19,10 +28,22 @@
 	find debian/eigensoft/usr/share/ -type f -empty -delete
 	# file consists only from single line with wrong interpreter
 	find debian/eigensoft/usr/share/ -type f -name HGDP.X.perl -delete
+	# Fix wrappers and drop *.perl extension in /usr/bin while keeping
+	# the original name in /usr/lib/debian-med/bin
+	mkdir -p debian/$(DEBPKGNAME)/usr/lib/debian-med/bin
+	for pl in $(WRAPPERS) ; do \
+	    rm debian/$(DEBPKGNAME)/usr/bin/$${pl} ; \
+	    sed -i \
+	        -e "s?\(command[[:space:]]*=[[:space:]]*\"\)\($${pl}\)?\1/usr/lib/$(DEBPKGNAME)/\2?" \
+                -e "s?\(cmd[[:space:]]*=[[:space:]]*\"\)\($${pl}\)?\1/usr/lib/$(DEBPKGNAME)/\2?" \
+                -e "s?\(cmd[[:space:]]*=[[:space:]]*\"\)\(evec2pca.*\)\.perl?\1?" \
+                -e "s?\($${pl}\)\.perl?\1?" \
+	        debian/$(DEBPKGNAME)/usr/bin/$${pl}.perl ; \
+	    cp -a debian/$(DEBPKGNAME)/usr/bin/$${pl}.perl debian/$(DEBPKGNAME)/usr/bin/$${pl} ; \
+	    mv debian/$(DEBPKGNAME)/usr/bin/$${pl}.perl debian/$(DEBPKGNAME)/usr/lib/debian-med/bin ; \
+	done
+	rm debian/$(DEBPKGNAME)/usr/bin/gc.perl
 
 override_dh_fixperms:
 	dh_fixperms
 	find debian/*/usr/share/eigensoft -type f -name "*.perl" -exec chmod +x \{\} \;
-
-get-orig-source:
-	uscan --verbose --force-download --repack --compression xz
