=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://data.broadinstitute.org/alkesgroup/EIGENSOFT/EIG-*([0-9.]+)\.tar\.gz
