=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: eigensoft
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                gfortran,
                libblas-dev,
                liblapack-dev,
                liblapacke-dev,
                libgsl-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/eigensoft.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/eigensoft.git
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/med-team/eigensoft
+Vcs-Git: https://salsa.debian.org/med-team/eigensoft.git
 Homepage: http://www.hsph.harvard.edu/faculty/alkes-price/software/
+Rules-Requires-Root: no
 
 Package: eigensoft
 Architecture: any
