=== debian/tests/control ===
Depends: @
Tests: test-working
