## eigensoft 8.0.0%2Bdfsg

=== debian/changelog ===
eigensoft (8.0.0+dfsg-2build1) oracular; urgency=medium

  * Rebuild against new libgsl28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 08:36:23 +0200

eigensoft (8.0.0+dfsg-2) unstable; urgency=medium

  * Fix download filename in watch file
  * Standards-Version: 4.6.2 (routine-update)
  * Change interpreter PATH only in debian dir not in upstream source
    Closes: #1045139

 -- Andreas Tille <tille@debian.org>  Wed, 31 Jan 2024 19:16:19 +0100

eigensoft (8.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Fix Perl interpreter path

 -- Andreas Tille <tille@debian.org>  Fri, 28 Oct 2022 10:03:37 +0200
