## eigensoft 8.0.0+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -7,8 +7,10 @@
 #override CFLAGS += -I/usr/local/opt/openblas/include -I/usr/local/opt/gsl/include
 #override LDFLAGS += -L/usr/local/opt/openblas/lib -L/usr/local/opt/gsl/lib
 # Harvard Medical School O2 cluster additions
-#override CFLAGS += -I/n/app/openblas/0.2.19/include -I/n/app/gsl/2.3/include
-#override LDFLAGS += -L/n/app/openblas/0.2.19/lib -L/n/app/gsl/2.3/lib/
+ifdef SLURM_CONF
+override CFLAGS += -I/n/app/openblas/0.2.19/include -I/n/app/gsl/2.3/include
+override LDFLAGS += -L/n/app/openblas/0.2.19/lib -L/n/app/gsl/2.3/lib/
+endif
 
 ifeq ($(OPTIMIZE), 1)
 	CFLAGS += -O2
@@ -31,7 +33,7 @@
 # ----- phony targets
 .PHONY: all clean clobber install
 
-EXE = baseprog convertf mergeit pca smshrink \
+EXE = baseprog convertf mergeit pca \
 	$(ED)/pcatoy $(ED)/smartrel $(ED)/smarteigenstrat \
 	$(ED)/twstats $(ED)/eigenstrat $(ED)/eigenstratQTL $(ED)/smartpca
 
@@ -74,9 +76,3 @@
 		$(NLIB) \
           	$(KD)/kjg_fpca.o $(KD)/kjg_gsl.o 
           	#-lpthread
-
-smshrink:		smshrink.o $(ED)/eigsubs.o $(ED)/exclude.o $(ED)/smartsubs.o $(ED)/eigx.o \
-		twsubs.o mcio.o qpsubs.o admutils.o egsubs.o regsubs.o gval.o \
-		$(NLIB) \
-          	$(KD)/kjg_fpca.o $(KD)/kjg_gsl.o
-
