=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: eigensoft
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: science
@@ -11,7 +10,7 @@
                liblapack-dev,
                liblapacke-dev,
                libgsl-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/eigensoft
 Vcs-Git: https://salsa.debian.org/med-team/eigensoft.git
 Homepage: http://www.hsph.harvard.edu/faculty/alkes-price/software/
