=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,9 @@
 	    cp -a debian/$(DEB_SOURCE)/usr/bin/$${pl}.perl debian/$(DEB_SOURCE)/usr/bin/$${pl} ; \
 	    mv debian/$(DEB_SOURCE)/usr/bin/$${pl}.perl debian/$(DEB_SOURCE)/usr/lib/debian-med/bin ; \
 	done
+	for pl in `grep -lR '/usr/.*/bin/perl' | grep -v debian/rules` ; do \
+	    sed -i -e "s?/usr/.*/bin/perl?/usr/bin/perl?" $${pl} ; \
+	done
 	rm debian/$(DEB_SOURCE)/usr/bin/gc.perl
 
 override_dh_fixperms:
